<template>
  <div style="margin-left: auto; margin-right: auto">
    <div class="referensiid">
      <p class="textid">Level {{ level.level_name }}</p>
    </div>
    <div style="text-align: center">
      <p class="text-weight-bold" style="font-size: 18px; margin-bottom: 10px">Anda Akan Membeli Level {{ level.level_name }} Seharga</p>
      <p class="text-weight-light" style="font-size: 24px;">{{ formatRupiah(level.level_price, "Rp.") }}</p>
      <q-item-label>Silahkan Pilih Metode Pembayaran dibawah ini</q-item-label>
      <q-expansion-item
        expand-separator
        icon="account_balance"
        label="VA Bank Transfer"
        style="background-color: #f3f1f1; max-width: 420px; margin: 10px auto 20px auto"
      >
        <q-card>
          <q-card-section>
            <div class="row wrap">
              <q-img class="col-6" style="cursor:pointer;" @click="beliLevel('bni')"  src="~assets/bni.png"/>
              <q-img class="col-6" style="cursor:pointer;" @click="beliLevel('bca')"  src="~assets/bca.png"/>
              <q-img class="col-6" style="cursor:pointer;" @click="beliLevel('bri')"  src="~assets/bri.png"/>
              <q-img class="col-6" src="~assets/permata.jpeg"/>
            </div>
          </q-card-section>
        </q-card>
      </q-expansion-item>
      <q-expansion-item
        expand-separator
        label="Ewallet"
        icon="account_balance_wallet"
        style="background-color: #f3f1f1; max-width: 420px; margin-left: auto; margin-right: auto"
      >
        <q-card>
          <q-card-section>
            <div class="row wrap">
              <q-img class="col-6" style="cursor: pointer" @click="beliLevel('gopay')" src="~assets/gopay.png"/>
              <q-img class="col-6"  src="~assets/shopeepay.png"/>
            </div>
          </q-card-section>
        </q-card>
      </q-expansion-item>
    </div>
  </div>
</template>

<script>
export default {
  name: "MetodePembayaran",
  data () {
    return {
      level: this.$attrs.level
    }
  },
  methods: {
    formatRupiah(angka, prefix){
      var number_string = angka.replace(/[^,\d]/g, '').toString(),
        split   		= number_string.split(','),
        sisa     		= split[0].length % 3,
        rupiah     		= split[0].substr(0, sisa),
        ribuan     		= split[0].substr(sisa).match(/\d{3}/gi);
      // tambahkan titik jika yang di input sudah menjadi angka ribuan
      if(ribuan){
        let separator = sisa ? '.' : '';
        rupiah += separator + ribuan.join('.');
      }
      rupiah = split[1] != undefined ? rupiah + ',' + split[1] : rupiah;
      return prefix == undefined ? rupiah : (rupiah ? 'Rp. ' + rupiah : '');
    },
    beliLevel(metode) {
      this.$q.loading.show()
      let data = new FormData()
      data.append("level_id", this.level.id)
      data.append("payment_method", metode)
      this.$axios.post("api/order/level", data)
      .then(sukses => {
        console.log(sukses)
        this.$q.loading.hide()
        this.$router.push("/konfirmasipembayaran")
      })
      .catch(erro => {
        this.$q.loading.hide()
      })
    }
  }
}

</script>

<style lang="scss" scoped>
.referensiid {
  height: 58px;
  flex-grow: 0;
  margin: 20px auto 50px auto;
  border: solid 1px #f3f1f1;
  background-color: #ffffff;
}

.textid {
  width: 180px;
  height: 60px;
  margin: 20px 170px 30px 20px;
  font-family: Roboto;
  font-size: 12px;
  font-weight: 300;
  font-stretch: normal;
  font-style: normal;
  line-height: normal;
  letter-spacing: normal;
  text-align: left;
  color: #000000;
}

.fikturtable{
  margin-bottom: 1px;
}

.tdfiktur{
  text-align: left;
  vertical-align: top;
}

.tdlangganan{
  text-align: center;
  vertical-align: top;

}

</style>

